#! /usr/local/bin/bash

CONFFILE=$1
[ "$CONFFILE" ] || { echo "Want the configuration file as argument. Terminating."; exit 1; }

[ -r "$CONFFILE" ] || { echo "Cannot access $CONFFILE. Terminating." ; exit 2; }
. $CONFFILE


# $1 impo is not ok
function notOk() {
    echo "$1 setting not ok. Terminating."
    exit 2
}

function isOk() {
    echo "$1: passed"
}

# now checking:

# db
[ -d "$QMRTG_DBPATH" -a -w "$QMRTG_DBPATH" ] || notOk "QMRTG_DBPATH"
isOk "QMRTG_DBPATH"

# debug 
touch $DEBUG
[ -w "$DEBUG" ] || notOk "DEBUG"
isOk "DEBUG"

# qfilt available?
[ -x "$QFILT" ] || notOk "QFILT"
isOk "QFILT"

# qtaif available?
[ -x "$QTAIF" ] || notOk "QTAIF"
isOk "QTAIF"

# targets @ commands @ log files ok?
[ ${#AVAILCMDS[@]} -eq ${#ACTUALCMDS[@]} ] || notOk "something in the commands arrays"
isOk "commands"

[ ${#AVAILCMDS[@]} -eq ${#LOGDIRS[@]} ] || notOk "something in the log dirs "

# log directories accessible?
for i in ${LOGDIRS[@]} ; do 
    [ -d "$i" ] && [ -r "$i" ] || notOk "something in the log directories "
done
isOk "LOGDIRS"


# ok!
echo "nothing suspect."
